# .so is just for plugin thing, not a devel .so
%define _exclude_files_from_autoreq '.*\.so$'

Name:           telepathy-gabble
Version:        0.17.4
Release:        %mkrel 1
Summary:        A Jabber/XMPP connection manager
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(dbus-1) >= 1.1.0
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.82
BuildRequires:	pkgconfig(gio-2.0) >= 2.26
BuildRequires:	pkgconfig(glib-2.0) >= 2.24
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.24
BuildRequires:	pkgconfig(gthread-2.0) >= 2.24
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(nice) >= 0.0.11
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.19.9
BuildRequires:	pkgconfig(telepathy-yell)
BuildRequires:  libxslt-proc
BuildRequires:  python-devel
Requires:	telepathy-filesystem

%description
A Jabber/XMPP connection manager, that handles single and multi-user
chats and voice calls.

%files
%doc NEWS README AUTHORS
%{_bindir}/telepathy-gabble-xmpp-console
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager
%{_libexecdir}/telepathy-gabble
%{_libdir}/telepathy/gabble-0
%{_libdir}/telepathy/gabble-0/plugins
%{_libdir}/telepathy/gabble-0/plugins/libgateways.so
%{_mandir}/man*/*.*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f


%changelog
* Tue Jun 04 2013 luigiwalser <luigiwalser> 0.17.4-1.mga3
+ Revision: 437267
- 0.17.4

* Sun Mar 10 2013 luigiwalser <luigiwalser> 0.17.3-1.mga3
+ Revision: 402017
- 0.17.3 (fixes CVE-2013-1769)

* Mon Jan 14 2013 umeabot <umeabot> 0.17.2-2.mga3
+ Revision: 387902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 luigiwalser <luigiwalser> 0.17.2-1.mga3
+ Revision: 344450
- 0.17.2

* Wed Jan 02 2013 pterjan <pterjan> 0.16.4-2.mga3
+ Revision: 337494
- Fix for _libdir != _libexecdir

* Thu Nov 22 2012 ovitters <ovitters> 0.16.4-1.mga3
+ Revision: 320768
- new version 0.16.4

* Fri Oct 26 2012 fwang <fwang> 0.16.3-1.mga3
+ Revision: 310553
- new version 0.16.3

* Wed Jun 27 2012 ovitters <ovitters> 0.16.1-1.mga3
+ Revision: 264590
- new version 0.16.1

* Wed Apr 11 2012 ovitters <ovitters> 0.16.0-2.mga2
+ Revision: 230321
- don't get requires from the .so

* Tue Apr 10 2012 ovitters <ovitters> 0.16.0-1.mga2
+ Revision: 230168
- update file list
- new version 0.16.0

* Tue Nov 29 2011 dmorgan <dmorgan> 0.15.1-1.mga2
+ Revision: 174020
- New version 0.15.1

* Mon Nov 21 2011 wally <wally> 0.14.0-1.mga2
+ Revision: 170545
- new version 0.14.0

* Thu Sep 22 2011 mikala <mikala> 0.13.5-2.mga2
+ Revision: 146593
- Use pkgconfig(openssl) instead of gnutls since gabble is currently broken with gnutls 3.0

* Wed Sep 21 2011 mikala <mikala> 0.13.5-1.mga2
+ Revision: 146214
- Update tarball to 0.13.5

  + fwang <fwang>
    - rebuild for new gnutls
    - drop req on wocky
    - new version 0.13.3

* Fri Jun 24 2011 dmorgan <dmorgan> 0.13.1-1.mga2
+ Revision: 112900
- Add gnutls-devel as buildrequires ( for wocky)
- Remove unexisting configure option
- Fix buildrequires
- New version 0.13.1

* Fri Apr 15 2011 tv <tv> 0.11.10-2.mga1
+ Revision: 85654
- rebuild for new libnice

* Fri Apr 15 2011 ahmad <ahmad> 0.11.10-1.mga1
+ Revision: 85635
- update to 0.11.10
- drop patch0, fixed upstream, now configure with --with-ca-certificates
- bump libtelepathy-glib-devel required version

* Tue Feb 22 2011 pterjan <pterjan> 0.9.16-2.mga1
+ Revision: 57126
- Remove manpage extension
- Drop old stuff
- imported package telepathy-gabble

